/*!
 * @file connection_monitor.h
    \brief provides information about the quality of a connection.
 */

#ifndef _SYNCHRONIZEABLE_H
#define _SYNCHRONIZEABLE_H

#include <base_object.h>
#include "netdefs.h"


class Synchronizeable : public BaseObject
{
        public:

                   Synchronizeable();
                   ~Synchronizeable();

 virtual byte*    writeByteStream();
 virtual void      readByteStream(byte* data);
 virtual void      writeDebug();
 virtual void      readDebug();


        private:

 int               uniqueID;

};

#endif /* _SYNCHRONIZEABLE_H */
